package com.bonus.core.device.manage.controller.deprecated.vo;

import com.bonus.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class DeviceHeartBeatMqRemVo implements Serializable {
   @ApiModelProperty("设备Sn")
   private String machineSn;
   @ApiModelProperty("菜品名称")
   private String menuName;
   @ApiModelProperty("菜品价格")
   private Integer menuPrice;
   @ApiModelProperty("称上剩余重量")
   private Integer menuWeigh;
   @ApiModelProperty("销售方式(1按份,2称重)")
   private Integer salseMode;
   @ApiModelProperty("菜品质量(g/份)")
   private Double weight;
   @ApiModelProperty("质量偏差(g)")
   private Double weightDeviation;
   @ApiModelProperty("菜品图片")
   private String imageUrl;
   @ApiModelProperty("菜品名称")
   private String menuNameRight;
   @ApiModelProperty("菜品价格")
   private Integer menuPriceRight;
   @ApiModelProperty("称上剩余重量")
   private Integer menuWeighRight;
   @ApiModelProperty("销售方式(1按份,2称重)")
   private Integer salseModeRight;
   @ApiModelProperty("菜品质量(g/份)")
   private Double weightRight;
   @ApiModelProperty("质量偏差(g)")
   private Double weightDeviationRight;
   @ApiModelProperty("菜品图片")
   private String imageUrlRight;
   @ApiModelProperty("消息生成时间只在mqtt推送时使用，其余场景忽略")
   private Long time;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public String getImageUrlRight() {
      return SysUtil.getCutFileUrl(this.imageUrlRight);
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public String getMenuName() {
      return this.menuName;
   }

   public Integer getMenuPrice() {
      return this.menuPrice;
   }

   public Integer getMenuWeigh() {
      return this.menuWeigh;
   }

   public Integer getSalseMode() {
      return this.salseMode;
   }

   public Double getWeight() {
      return this.weight;
   }

   public Double getWeightDeviation() {
      return this.weightDeviation;
   }

   public String getMenuNameRight() {
      return this.menuNameRight;
   }

   public Integer getMenuPriceRight() {
      return this.menuPriceRight;
   }

   public Integer getMenuWeighRight() {
      return this.menuWeighRight;
   }

   public Integer getSalseModeRight() {
      return this.salseModeRight;
   }

   public Double getWeightRight() {
      return this.weightRight;
   }

   public Double getWeightDeviationRight() {
      return this.weightDeviationRight;
   }

   public Long getTime() {
      return this.time;
   }

   public DeviceHeartBeatMqRemVo setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
      return this;
   }

   public DeviceHeartBeatMqRemVo setMenuName(final String menuName) {
      this.menuName = menuName;
      return this;
   }

   public DeviceHeartBeatMqRemVo setMenuPrice(final Integer menuPrice) {
      this.menuPrice = menuPrice;
      return this;
   }

   public DeviceHeartBeatMqRemVo setMenuWeigh(final Integer menuWeigh) {
      this.menuWeigh = menuWeigh;
      return this;
   }

   public DeviceHeartBeatMqRemVo setSalseMode(final Integer salseMode) {
      this.salseMode = salseMode;
      return this;
   }

   public DeviceHeartBeatMqRemVo setWeight(final Double weight) {
      this.weight = weight;
      return this;
   }

   public DeviceHeartBeatMqRemVo setWeightDeviation(final Double weightDeviation) {
      this.weightDeviation = weightDeviation;
      return this;
   }

   public DeviceHeartBeatMqRemVo setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
      return this;
   }

   public DeviceHeartBeatMqRemVo setMenuNameRight(final String menuNameRight) {
      this.menuNameRight = menuNameRight;
      return this;
   }

   public DeviceHeartBeatMqRemVo setMenuPriceRight(final Integer menuPriceRight) {
      this.menuPriceRight = menuPriceRight;
      return this;
   }

   public DeviceHeartBeatMqRemVo setMenuWeighRight(final Integer menuWeighRight) {
      this.menuWeighRight = menuWeighRight;
      return this;
   }

   public DeviceHeartBeatMqRemVo setSalseModeRight(final Integer salseModeRight) {
      this.salseModeRight = salseModeRight;
      return this;
   }

   public DeviceHeartBeatMqRemVo setWeightRight(final Double weightRight) {
      this.weightRight = weightRight;
      return this;
   }

   public DeviceHeartBeatMqRemVo setWeightDeviationRight(final Double weightDeviationRight) {
      this.weightDeviationRight = weightDeviationRight;
      return this;
   }

   public DeviceHeartBeatMqRemVo setImageUrlRight(final String imageUrlRight) {
      this.imageUrlRight = imageUrlRight;
      return this;
   }

   public DeviceHeartBeatMqRemVo setTime(final Long time) {
      this.time = time;
      return this;
   }

}